Deleted Added
full compact
mkdep.gcc.sh (38743) mkdep.gcc.sh (39123)
1#!/bin/sh -
2#
3# Copyright (c) 1991, 1993
4# The Regents of the University of California. All rights reserved.
5#
6# Redistribution and use in source and binary forms, with or without
7# modification, are permitted provided that the following conditions
8# are met:

--- 18 unchanged lines hidden (view full) ---

27# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
28# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
29# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
30# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
31# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
32# SUCH DAMAGE.
33#
34# @(#)mkdep.gcc.sh 8.1 (Berkeley) 6/6/93
1#!/bin/sh -
2#
3# Copyright (c) 1991, 1993
4# The Regents of the University of California. All rights reserved.
5#
6# Redistribution and use in source and binary forms, with or without
7# modification, are permitted provided that the following conditions
8# are met:

--- 18 unchanged lines hidden (view full) ---

27# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
28# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
29# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
30# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
31# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
32# SUCH DAMAGE.
33#
34# @(#)mkdep.gcc.sh 8.1 (Berkeley) 6/6/93
35# $Id: mkdep.gcc.sh,v 1.15 1998/08/29 07:55:55 obrien Exp $
35# $Id: mkdep.gcc.sh,v 1.14 1998/08/24 10:16:39 cracauer Exp $
36
37D=.depend # default dependency file is .depend
38append=0
36
37D=.depend # default dependency file is .depend
38append=0
39nosyshdrs=0
40pflag=
41
42while :
43 do case "$1" in
44 # -a appends to the depend file
45 -a)
46 append=1
47 shift ;;
48
49 # -f allows you to select a makefile name
50 -f)
51 D=$2
52 shift; shift ;;
53
39pflag=
40
41while :
42 do case "$1" in
43 # -a appends to the depend file
44 -a)
45 append=1
46 shift ;;
47
48 # -f allows you to select a makefile name
49 -f)
50 D=$2
51 shift; shift ;;
52
54 # -n does not make dependencies on system headers
55 -n)
56 nosyshdrs=1
57 shift ;;
58
59 # the -p flag produces "program: program.c" style dependencies
60 # so .o's don't get produced
61 -p)
62 pflag=p
63 shift ;;
64 *)
65 break ;;
66 esac

--- 6 unchanged lines hidden (view full) ---

73
74TMP=_mkdep$$
75trap 'rm -f $TMP ; trap 2 ; kill -2 $$' 1 2 3 13 15
76trap 'rm -f $TMP' 0
77
78# For C sources, mkdep must use exactly the same cpp and predefined flags
79# as the compiler would. This is easily arranged by letting the compiler
80# pick the cpp. mkdep must be told the cpp to use for exceptional cases.
53 # the -p flag produces "program: program.c" style dependencies
54 # so .o's don't get produced
55 -p)
56 pflag=p
57 shift ;;
58 *)
59 break ;;
60 esac

--- 6 unchanged lines hidden (view full) ---

67
68TMP=_mkdep$$
69trap 'rm -f $TMP ; trap 2 ; kill -2 $$' 1 2 3 13 15
70trap 'rm -f $TMP' 0
71
72# For C sources, mkdep must use exactly the same cpp and predefined flags
73# as the compiler would. This is easily arranged by letting the compiler
74# pick the cpp. mkdep must be told the cpp to use for exceptional cases.
81MKDEP_CPP=${MKDEP_CPP-"cc -E"}
75CC=${CC-"cc"}
76MKDEP_CPP=${MKDEP_CPP-"${CC} -E"}
77MKDEP_CPP_OPTS=${MKDEP_CPP_OPTS-"-M"};
82
78
83case $nosyshdrs in
84 0) CC_MKDEP_OPT="-M";;
85 *) CC_MKDEP_OPT="-MM -w";;
86esac
87
88echo "# $@" > $TMP # store arguments for debugging
89
79echo "# $@" > $TMP # store arguments for debugging
80
90if $MKDEP_CPP $CC_MKDEP_OPT "$@" >> $TMP; then :
81if $MKDEP_CPP $MKDEP_CPP_OPTS "$@" >> $TMP; then :
91else
92 echo 'mkdep: compile failed' >&2
93 exit 1
94fi
95
96case x$pflag in
97 x) case $append in
98 0) sed -e 's; \./; ;g' < $TMP > $D;;
99 *) sed -e 's; \./; ;g' < $TMP >> $D;;
100 esac
101 ;;
102 *) case $append in
103 0) sed -e 's;\.o:;:;' -e 's; \./; ;g' < $TMP > $D;;
104 *) sed -e 's;\.o:;:;' -e 's; \./; ;g' < $TMP >> $D;;
105 esac
106 ;;
107esac
108
109exit $?
82else
83 echo 'mkdep: compile failed' >&2
84 exit 1
85fi
86
87case x$pflag in
88 x) case $append in
89 0) sed -e 's; \./; ;g' < $TMP > $D;;
90 *) sed -e 's; \./; ;g' < $TMP >> $D;;
91 esac
92 ;;
93 *) case $append in
94 0) sed -e 's;\.o:;:;' -e 's; \./; ;g' < $TMP > $D;;
95 *) sed -e 's;\.o:;:;' -e 's; \./; ;g' < $TMP >> $D;;
96 esac
97 ;;
98esac
99
100exit $?